Bug 186120 - Install hangs immediately after "Probintg for video card
Install hangs immediately after "Probintg for video card
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-21 14:09 EST by Wayne Walker
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-24 17:47:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda log (8.17 KB, text/plain)
2006-05-08 09:55 EDT, Jeremy Parsons
no flags Details
system log at hung installation (16.96 KB, text/plain)
2006-05-08 11:29 EDT, Jeremy Parsons
no flags Details

  None (edit)
Description Wayne Walker 2006-03-21 14:09:36 EST
Description of problem:

In text mode, immediately after anaconda says "Probing for video card" the
screen becomes solid blue,
In Graphical mode, immediately after anaconda starts X (The big X cursor is on
the black background at this point),

the floppy drive light flashes and then anaconda consumes 99.9% of the CPU and
never does anything else.

Version-Release number of selected component (if applicable):

FC5 x86_64 DVD anaconda

How reproducible:

Every time.

Steps to Reproduce:
1. As in description.  use "linux" or "linux text"
Actual results:

Install process hangs forever.
No activity ever again in the ttys.

Expected results:

Smooth install like all my 32 bit machines.

Additional info:

In text mode, the last thing on tty1:

Running anaconda, the Fedora Core system installer - please wait...
Probing for video card:   nVidia Corporation Unknown device 0092
<then screen turns solid blue>

In X mode, the last thing on tty1:

Running anaconda, the Fedora Core system installer - please wait...
Probing for video card:   nVidia Corporation Unknown device 0092
Attempting to start native X server
Waiting for X server to start...log located in /tmp/X.log
1...2...3...4...5.... X server started successfully.
Starting graphical installation...


<fully functional shell, run top here and see 99.9% anaconda, anaconda is at 67M
and not apparently growing.>

INFO: anaconda floppy device fd0

<6>device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
<4>program anaconda is using a deprecated SCSI ioctl, please convert it to SG_IO

tty5 and tty6, nothing

Contact me directly at wwalker@bybent.com for more detail.  The machine has an
existing SuSE10 install, so I can run most commands on it to give you hardware info.
Comment 1 Jeremy Katz 2006-03-21 14:50:04 EST
Can you grab /tmp/anaconda.log, /tmp/X.log, and /tmp/Xconfig.test?
Comment 2 Wayne Walker 2006-03-21 18:40:04 EST
I finally decided that what was strange about my system was the disk drives.

I have a sata drive (master on second sata controller) and an IDE drive (SLAVE
on the secondary IDE controller) and a DVD burner (MASTER on secondary IDE
controller).  I didn't set up the hardware.  I received the machine with SuSE10
on it so I assumed the setup was sane (mistake number one).

Disconnecting the IDE drive allows the install to continue!

My problem is solved (assuming it will boot properly after install finishes and
I reconnect the IDE drive), but this is still a bug someone else might run into.
 I am still available to perform any test you need to gather data on this bug.
Comment 3 Jeremy Parsons 2006-03-22 05:39:38 EST
I have exactly the same symptoms but a completely different hardware setup:
Intel celereon, 1.7 GHz, 32-bit, two PATA drives,( no SATA) and used the i386
DVD of FC5. When I do a text install, the first screen goes blue, when I do a
graphical install, I just get the big X in the middle of the screen. The system
is alive, but Anaconda is using 99% of the CPU as shown by top on screen 2.
Screen 4 log shows a floppy search as the last message.
Comment 4 Jeremy Parsons 2006-05-08 09:55:01 EDT
Created attachment 128743 [details]
Anaconda log

Fedora at least used to install !
Comment 5 Jeremy Parsons 2006-05-08 11:29:34 EDT
Created attachment 128747 [details]
system log at hung  installation
Comment 6 Dave Jones 2006-10-16 19:55:04 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 17:47:57 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.